Subject: bug#29595: 26.0.90; menu items show incorrect shortcut keys

From: Alan Third <[email-masked]>
Date: Thu, 7 Dec 2017 21:40:02 +0000

On Thu, Dec 07, 2017 at 11:35:06AM +1000, Paul Rankin wrote:
> The GUI build of Emacs 26.x shows incorrect shortcut keys in the
> menu: either ⇧C (shift-C) or ⇧M (shift-M). See attached screenshot
> or https://imgur.com/a/fQaly
> 
> These are displayed in the macOS native menu style, while the Emacs
> duplicated shortcuts in parentheses are still correct.
> 
> To reproduce:
> 
> 1. emacs -Q
> 2. click a menu item
> 
> Expected results:
> 
> Menu items should show correct shortcut cut keys.
> 
> Actual results:
> 
> Menu items show combination of incorrect keys with OS native display
> and correct keys in Emacs's duplicates.
> 
> Configuration:
> 
> GNU Emacs 26.0.90 (build 1, x86_64-apple-darwin17.2.0, NS
> appkit-1561.10 Version 10.13.1 (Build 17B48)) of 2017-11-05
> 
> macOS 10.13.1 (17B1003)

I can’t replicate this. It looks right to me. The only difference I
can see is that I’m using macOS 10.12, so maybe that’s it. Can anyone
else confirm?

-- 
Alan Third